<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #11 - Hightlight buttons</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #11 - Hightlight buttons</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span>Почему для работы с input не рекомендуется использовать события клавиатуры.</p>
            <div class="answer-wrapper">
                <p class="answer">
                    Время не стоит на месте, и ввод в браузер осуществялется не только при помощи клавиатуры. Изменить значение инпута можно вставив в него текст или вырезав при помощи мыши. Набирает обороты голосовой набор речи. Все это заставляет разработчиков языков для браузеров придумывать новые события для обработки ввода.
                </p>
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Реализовать функцию подсветки нажимаемых клавиш.</p>
            <ul class="reqular">
               <li>
                    Каждая кнопка содержит в себе название клавиши на клавиатуре
               </li>
               <li>
                    По нажатию указанных клавиш - та кнопка, на которой написана эта буква, должна окрашиваться в синий цвет. При этом, если какая-то другая буква уже ранее была окрашена в синий цвет - она становится черной. Например по нажатию Enter первая кнопка окрашивается в синий цвет. Далее, пользователь нажимает S, и кнопка S окрашивается в синий цвет, а кнопка Enter опять становится черной.
               </li>
            </ul>
            <ul class="additional">
                <li>
                    Backspace удаляет последний с конца
                </li>
                <li>
                    Буквы срабатывают только на Англ. языке
                </li>
             </ul>
          
            <p class="keyboard-result"></p>
            <div class="btn-wrapper">
                <button class="btn">Enter</button>
                <button class="btn">S</button>
                <button class="btn">E</button>
                <button class="btn">O</button>
                <button class="btn">N</button>
                <button class="btn">L</button>
                <button class="btn">Z</button>
            </div>
            
        </div>
    </div>
    

    <script src="js/script.js"></script>
</body>
</html>